#
# spec file for package smuxi
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           smuxi
Version:        1.0.7
Release:        bp156.4.48
# FIXME: when db4o is in Factory, uncomment BuildRequires for it
Url:            http://www.smuxi.org
Source0:        http://www.smuxi.org/jaws/data/files/%{name}-%{version}.tar.gz
Summary:        Smart MUltipleXed Irc
#BuildRequires:  indicate-sharp
License:        GPL-2.0+
Group:          Productivity/Networking/IRC
BuildRequires:  intltool
BuildRequires:  mono-devel >= 2.6
BuildRequires:  update-desktop-files
BuildRequires:  mono(System.Web.Extensions)
#BuildRequires:  pkgconfig(db4o) >= 8.0
BuildRequires:  pkgconfig(dbus-sharp-1.0)
BuildRequires:  pkgconfig(dbus-sharp-glib-1.0)
BuildRequires:  pkgconfig(glade-sharp-2.0) >= 2.8
BuildRequires:  pkgconfig(glib-sharp-2.0) >= 2.8
BuildRequires:  pkgconfig(gtk-sharp-2.0) >= 2.8
BuildRequires:  pkgconfig(gtkspell-2.0)
BuildRequires:  pkgconfig(log4net)
BuildRequires:  pkgconfig(nini-1.1)
BuildRequires:  pkgconfig(notify-sharp)
BuildRequires:  pkgconfig(stfl) >= 0.21
Recommends:     %{name}-frontend-gnome
%if 0%{suse_version} >= 1100
Recommends:     %{name}-server
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
IRC client for advanced users, targeting the GNOME desktop.

%package engine
Summary:        Smart MUltipleXed Irc - Engine Library
Group:          Productivity/Networking/IRC
Requires:       mono-data-sqlite
Recommends:     %{name}-engine-irc
Recommends:     %{name}-engine-twitter
Recommends:     %{name}-engine-xmpp

%description engine
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
IRC client for advanced users, targeting the GNOME desktop.

%package engine-campfire
Summary:        Smart MUltipleXed Irc - Campfire Engine
Group:          Productivity/Networking/IRC
Requires:       %{name}-engine = %{version}

%description engine-campfire
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
IRC client for advanced users, targeting the GNOME desktop.

%package engine-irc
Summary:        Smart MUltipleXed Irc - IRC Engine
Group:          Productivity/Networking/IRC
Requires:       %{name}-engine = %{version}

%description engine-irc
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
IRC client for advanced users, targeting the GNOME desktop.

%package engine-jabbr
Summary:        Smart MUltipleXed Irc - Jabber Engine
Group:          Productivity/Networking/IRC
Requires:       %{name}-engine = %{version}

%description engine-jabbr
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
IRC client for advanced users, targeting the GNOME desktop.

%package engine-twitter
Summary:        Smart MUltipleXed Irc - Twitter Engine
Group:          Productivity/Networking/Other
Requires:       %{name}-engine = %{version}

%description engine-twitter
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
Twitter client for advanced users, targeting the GNOME desktop.

%package engine-xmpp
Summary:        Smart MUltipleXed Irc - XMPP Engine
Group:          Productivity/Networking/Other
Requires:       %{name}-engine = %{version}

%description engine-xmpp
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
XMPP client for advanced users, targeting the GNOME desktop.

%package frontend
Summary:        Smart MUltipleXed Irc - Frontend Library
Group:          Productivity/Networking/IRC
Requires:       %{name}-engine = %{version}

%description frontend
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
IRC client for advanced users, targeting the GNOME desktop.

%package frontend-gnome
Summary:        Smart MUltipleXed Irc - GNOME Frontend
Group:          Productivity/Networking/IRC
Requires:       %{name}-frontend = %{version}
Requires:       mono-locale-extras

%description frontend-gnome
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
IRC client for advanced users, targeting the GNOME desktop.

%package frontend-gnome-irc
Summary:        Smart MUltipleXed Irc - IRC Library for GNOME Frontend
Group:          Productivity/Networking/IRC
Requires:       %{name}-engine-irc = %{version}
Requires:       %{name}-frontend-gnome = %{version}
Supplements:    packageand(%{name}-frontend-gnome:%{name}-engine-irc)

%description frontend-gnome-irc
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
IRC client for advanced users, targeting the GNOME desktop.

%package frontend-gnome-twitter
Summary:        Smart MUltipleXed Irc - TWITTER Library for GNOME Frontend
Group:          Productivity/Networking/IRC
Requires:       %{name}-engine-twitter = %{version}
Requires:       %{name}-frontend-gnome = %{version}
Supplements:    packageand(%{name}-frontend-gnome:%{name}-engine-twitter)

%description frontend-gnome-twitter
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
IRC client for advanced users, targeting the GNOME desktop.

%package frontend-gnome-xmpp
Summary:        Smart MUltipleXed Irc - XMPP Library for GNOME Frontend
Group:          Productivity/Networking/IRC
Requires:       %{name}-engine-xmpp = %{version}
Requires:       %{name}-frontend-gnome = %{version}
Supplements:    packageand(%{name}-frontend-gnome:%{name}-engine-xmpp)

%description frontend-gnome-xmpp
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
XMPP client for advanced users, targeting the GNOME desktop.

%package frontend-stfl
Summary:        Smart MUltipleXed Irc - Structured Terminal Form Frontend
Group:          Productivity/Networking/IRC
Requires:       %{name}-frontend = %{version}

%description frontend-stfl
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
IRC client for advanced users.

This package provides the stfl (Structured Terminal Forms Library) based frontend.

%package message-buffer
Summary:        Smart MUltipleXed Irc - Structured Terminal Form Frontend
Group:          Productivity/Networking/IRC
Requires:       %{name}-frontend = %{version}

%description message-buffer
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
IRC client for advanced users.

%package server
Summary:        Smart MUltipleXed Irc - Server
Group:          Productivity/Networking/IRC
Requires:       %{name}-engine = %{version}

%description server
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
IRC client for advanced users, targeting the GNOME desktop.

%lang_package -n %{name}-engine
%lang_package -n %{name}-engine-irc
%lang_package -n %{name}-engine-jabbr
%lang_package -n %{name}-engine-campfire
%lang_package -n %{name}-engine-twitter
%lang_package -n %{name}-engine-xmpp
%lang_package -n %{name}-frontend
%lang_package -n %{name}-frontend-gnome
%lang_package -n %{name}-frontend-gnome-irc
%lang_package -n %{name}-frontend-gnome-xmpp
%lang_package -n %{name}-frontend-gnome-twitter
%lang_package -n %{name}-message-buffer
%lang_package -n %{name}-server
%prep
%setup -q

%build
%configure \
        --libdir=%{_prefix}/lib \
        MCS=%{_bindir}/dmcs
make

%install
%make_install
rm -f %{buildroot}%{_prefix}/lib/pkgconfig/*.pc
%find_lang %{name}-engine
%find_lang %{name}-engine-campfire
%find_lang %{name}-engine-irc
%find_lang %{name}-engine-jabbr
%find_lang %{name}-engine-twitter
%find_lang %{name}-engine-xmpp
%find_lang %{name}-frontend
%find_lang %{name}-frontend-gnome
%find_lang %{name}-frontend-gnome-irc
%find_lang %{name}-frontend-gnome-twitter
%find_lang %{name}-frontend-gnome-xmpp
%find_lang %{name}-message-buffer
%find_lang %{name}-server
%suse_update_desktop_file %{name}-frontend-gnome

%clean
rm -rf %buildroot

%if 0%{?suse_version} > 1130
%post frontend-gnome
%desktop_database_post
%icon_theme_cache_post
%endif

%if 0%{?suse_version} > 1130
%postun frontend-gnome
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%defattr(-,root,root)
%doc BUGS LICENSE TODO FEATURES CREDITS
%dir %{_prefix}/lib/%{name}
%{_datadir}/icons/hicolor/*/apps/smuxi-group-chat.png
%{_datadir}/icons/hicolor/*/apps/smuxi-person-chat.png

%files engine
%defattr(-,root,root)
%doc LICENSE
%{_prefix}/lib/%{name}/Db4objects.Db4o.dll*
%{_prefix}/lib/%{name}/Nini.dll
%{_prefix}/lib/%{name}/%{name}-engine.dll*
%{_prefix}/lib/%{name}/%{name}-common.dll*

%files engine-lang -f %{name}-engine.lang

%files engine-campfire
%defattr(-,root,root)
%doc LICENSE
%{_prefix}/lib/%{name}/%{name}-engine-campfire.dll*
%{_prefix}/lib/%{name}/ServiceStack.*.dll*

%files engine-campfire-lang -f %{name}-engine-campfire.lang

%files engine-irc
%defattr(-,root,root)
%doc LICENSE
%{_prefix}/lib/%{name}/%{name}-engine-irc.dll*
%{_prefix}/lib/%{name}/Meebey.SmartIrc4net.dll*

%files engine-irc-lang -f %{name}-engine-irc.lang

%files engine-jabbr
%defattr(-,root,root)
%doc LICENSE
%{_prefix}/lib/%{name}/%{name}-engine-jabbr.dll*
%{_prefix}/lib/%{name}/JabbR.Client.dll*
%{_prefix}/lib/%{name}/Microsoft.AspNet.SignalR.Client.dll*

%files engine-jabbr-lang -f %{name}-engine-jabbr.lang

%files engine-twitter
%defattr(-,root,root)
%doc LICENSE
%{_prefix}/lib/%{name}/%{name}-engine-twitter.dll*
%{_prefix}/lib/%{name}/Newtonsoft.Json.dll*
%{_prefix}/lib/%{name}/Twitterizer2.dll*
%{_prefix}/lib/%{name}/Twitterizer2.Streaming.dll*

%files engine-twitter-lang -f %{name}-engine-twitter.lang

%files engine-xmpp
%defattr(-,root,root)
%doc LICENSE
%{_prefix}/lib/%{name}/%{name}-engine-xmpp.dll*
%{_prefix}/lib/%{name}/agsxmpp.dll*
%{_prefix}/lib/%{name}/StarkSoftProxy.dll*

%files engine-xmpp-lang -f %{name}-engine-xmpp.lang

%files frontend
%defattr(-,root,root)
%doc LICENSE
%{_prefix}/lib/%{name}/%{name}-frontend.dll*

%files frontend-lang -f %{name}-frontend.lang

%files frontend-gnome
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/%{name}-frontend-gnome
%{_prefix}/lib/%{name}/%{name}-frontend-gnome.exe*
%dir %{_datadir}/appdata
%{_datadir}/appdata/smuxi-frontend-gnome.appdata.xml
%{_datadir}/applications/%{name}-frontend-gnome.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}-frontend-gnome.*
%{_mandir}/man1/%{name}-frontend-gnome.1%{?ext_man}

%files frontend-gnome-lang -f %{name}-frontend-gnome.lang

%files frontend-gnome-irc
%defattr(-,root,root)
%doc LICENSE
%{_prefix}/lib/%{name}/%{name}-frontend-gnome-irc.dll*

%files frontend-gnome-irc-lang -f %{name}-frontend-gnome-irc.lang

%files frontend-gnome-twitter
%defattr(-,root,root)
%doc LICENSE
%{_prefix}/lib/%{name}/%{name}-frontend-gnome-twitter.dll*

%files frontend-gnome-twitter-lang -f %{name}-frontend-gnome-twitter.lang

%files frontend-gnome-xmpp
%defattr(-,root,root)
%doc LICENSE
%{_prefix}/lib/%{name}/%{name}-frontend-gnome-xmpp.dll*

%files frontend-gnome-xmpp-lang -f %{name}-frontend-gnome-xmpp.lang

%files frontend-stfl
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/%{name}-frontend-stfl
%{_prefix}/lib/%{name}/%{name}-frontend-stfl.exe*
%{_mandir}/man1/%{name}-frontend-stfl.1%{?ext_man}

%files message-buffer
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/%{name}-message-buffer
%{_prefix}/lib/%{name}/%{name}-message-buffer.exe*
%{_mandir}/man1/%{name}-message-buffer.1%{?ext_man}

%files message-buffer-lang -f %{name}-message-buffer.lang

%files server
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/%{name}-server
%{_mandir}/man1/%{name}-server.1%{?ext_man}
%{_prefix}/lib/%{name}/%{name}-server.exe*

%files server-lang -f %{name}-server.lang

%changelog
* Thu Jan 30 2020 Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend -lang: supplements are in use
* Sun Jun 18 2017 dimstar@opensuse.org
- Update to version 1.0.7:
  + Builds and runs correctly on Mono 5.x.
  + No longer crash with a SEGV or NullReferenceException when
    re-joining channels when running on GTK# 2.12.40.
* Mon Jan 30 2017 dimstar@opensuse.org
- Update to version 1.0.6:
  + Engine-Twitter, lib/Twitterizer: show text of quoted tweets.
  + lib/SmartIrc4net: fix sending client certificates (CertFP).
  + Frontend-GNOME:
  - Remove unused Glade based ServerDialog.
  - Upgrade to Glade 3.8.
  - Suppoert CertPF.
  - Force new instance on start to aid debugging.
  + Updated translations.
* Thu Jun 16 2016 dimstar@opensuse.org
- Update to version 1.0.5:
  + Bug fixes for build: Engine, Engine-IRC, Engine-XMPP,
    Frontend-GNOME and Win32-Installer.
* Mon Feb  1 2016 dimstar@opensuse.org
- Update to version 1.0.3:
  + The most notable bugfix is that Smuxi compiles now on Mono 4.x
    and does not crash directly at startup.
* Tue Jan 12 2016 dimstar@opensuse.org
- Update to version 1.0.1:
  + No changelog provided / release announcement found.
- Drop smuxi-gnome-frontend-mono4-crash.patch: Fixed upstream.
* Sun Nov 15 2015 badshah400@gmail.com
- Add smuxi-gnome-frontend-mono4-crash.patch Fix crash with
  Mono >= 4 (boo#955080).
- Add runtime dependencies mono-data-sqlite (boo#955082) for
  smuxi-engine and mono-locale-extras (boo#955084) for
  smuxi-frontend-gnome.
* Tue Jul 28 2015 dimstar@opensuse.org
- Update to version 1.0:
  + User Interface Enhancements:
  - Synced message markers: the position of of the seen/unseen
    messages marker is pushed to the smuxi-server and remembered
    when the frontend reconnects.
  - Persistent message markers: the message marker position is
    also remembered across Smuxi(-server) restarts.
  - Message Counter: in addition to the highlight counter next to
    a chat new/unseen messages are also counted. This makes it
    easy to identify chats with much traffic.
  - Single application instance support. If you start Smuxi again
    from the menu it will bring the existing instance into the
    foreground. This makes the Ubuntu Messaging Menu much nicer.
  - The command/message entry is alignment with the messages.
  + Text Frontend Enhancements:
  - The console background color can now be configured using:
    /config set STFL/Interface/TerminalBackgroundColor = #000000.
  - The text color contrast if nicks with the background is now
    ensured.
  - Messages containing images will not be skipped but their
    alternative text is shown instead.
  + New smuxi-message-buffer tool.
  + Various Scripting Enhancements.
- Drop smuxi-toolsversion-4.0.patch: fixed upstream.
- Add pkgconfig(stfl) BuildRequires: new dependency.
- Split out new smuxi-frontend-stfl and smuxi-message-buffer
  subpackages.
* Fri May 22 2015 dimstar@opensuse.org
- Add smuxi-toolsversion-4.0.patch: Set ToolsVersion to 4.0. Fixes
  build with mono 4.0.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 0.11.1:
  + Bug fix release.
* Tue Jun 24 2014 rbrown@suse.com
- Add pkgconfig(gtkspell-2.0) BuildRequires: enable automatic
  spell checking.
* Wed Apr 23 2014 develop7@develop7.info
- Updated to version 0.11:
  + User Interface Enhancements:
  - The chat list can be shrunken.
  - The highlight counter is now a separate column.
  + Multi Identity Support.
  + Message Patterns.
  + Hooks Enhancements.
  + Twitter Enhancements.
  + JabbR (Beta) Enhancements.
  + Updated translations.
* Thu Dec 19 2013 dimstar@opensuse.org
- Update to version 0.10:
  + Tabs were replaced with a new nice chat list.
  + Plugin/scripting support through Smuxi hooks.
  + Twitter now with /reply, /retweet, /follow, /unfollow, /search
    and /timeline commands and menus.
- Create new subpackage frontend-gnome-twitter and corresponding
  - lang packages.
- Have smuxi-engine-twitter recommend smuxi-engine-twitter-lang
  instead of smuxi-engine-jabbr-lang (copy&paste error).
* Mon Aug 26 2013 dimstar@opensuse.org
- Update to version 0.9:
  + Enhanced user interface.
  + Text frontend enhancements.
  + JabbR Support.
  + Twitter enhancements.
  + XMPP Enhancements.
  + IRC Enhancements.
  + Updated translations.
- Create new subpackage engine-jabbr.
- Pass MCS=/usr/bin/dmcs to configure: we want to be sure to use
  Mono 4.0 compiler.
- Drop engine-twitter-lang package: superseded by
  engine-jabbr-lang.
* Sat Jun 29 2013 dimstar@opensuse.org
- Update to version 0.8.11:
  + Enhanced User Interface.
  + Mac OSX enhancements.
  + Text frontend enhancements.
  + Campfire support.
  + XMPP enhancements.
  + IRC enhancements.
  + Build system fixes.
  + Updated translations.
- Split out smuxi-engine-campfire and respective -lang package.
- Drop smuxi-mono3.patch: fixed upstream.
* Wed Jan  9 2013 dimstar@opensuse.org
- Add smuxi-mono3.patch: Fix build with mono 3.0.
* Wed Sep 12 2012 awafaa@opensuse.org
- Update to version 0.8.10.1:
  + Integrated spell checking
  + Favicons for Server tabs
  + Quick Join bar
  + Enhanced Text frontend
  + Indentation of multi-lin messages
  + Enhanced commands
  + Updated translations.
* Sat Feb 11 2012 dimstar@opensuse.org
- Update to version 0.8.9.2:
  + Engine:
  - Fortify config parsing.
  + XMPP Engine:
  - Added proxy support
  - Implemented /awat command
  - Added missing help for available commands
  + GNOME Frontend:
  - Support to cycle through chats from last to first and first
    to last.
  - Minor bug fixes.
  + Various build fixes
  + Updated translations
* Tue Jan 24 2012 vuntz@opensuse.org
- Move to pkgconfig() BuildRequires:
  + Old ones: glade-sharp2, gtk-sharp2, log4net, nini,
    notify-sharp.
  + New ones: glade-sharp-2.0, glib-sharp-2.0, gtk-sharp-2.0,
    log4net, nini-1.1, notify-sharp.
- Add %%post/%%postun for frontend-gnome subpackages, with calls to
  %%desktop_database_post(un) and %%icon_theme_cache_post(un).
* Wed Jan 18 2012 vuntz@opensuse.org
- Update to version 0.8.9.1:
  + Chat History on Disk (Beta).
  + Jabber / XMPP Support (Beta).
  + Text Interface (Alpha) (not built).
  + NetworkManager Support.
  + IPv6 Support.
  + Enhanced Find Group Chat Support.
  + SSL for IRC fixed.
  + Fix crashes.
  + Enhanced Notice Handling.
  + Twitter fixes.
  + Extended Keybindings.
  + Smuxi Server specific highlights:
  - More interactive and much faster synchronization
  - More background communication
  - Low Bandwidth Mode
  - Stable Protocol
  - Shutdown Command
  - Built-in SSH Keyfile Support
  + Updated translations.
- Drop desktop-file.patch: fixed upstream.
- Drop smuxi-mono-2.10.patch: fixed upstream.
- Add pkgconfig(dbus-sharp-1.0) and pkgconfig(dbus-sharp-glib-1.0)
  BuildRequires: new dependencies.
- Create engine-xmpp and frontend-gnome-xmpp subpackages for the
  new XMPP support.
- Change smuxi-frontend-gnome-irc Recommends to main subpackage to
  smuxi-frontend-gnome: there's no reason to favour the irc engine.
- Add smuxi-engine-{irc,xmpp} Recommends to smuxi-engine, to make
  sure we have useful engines installed by default.
- Add Supplements for smuxi-frontend-gnome and smuxi-engine-irc to
  smuxi-frontend-gnome-irc.
* Fri Jun 17 2011 vuntz@opensuse.org
- Import package from the build service (version 0.8).
- Cleanup for inclusion in Factory.
